
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

int main(void)
{
  clock_t start, diff1, diff2;
  int i, n = 100000000;
  int *a = (int*) malloc(n*sizeof(int));
  int *b = (int*) malloc(n*sizeof(int));
  
  for(i = 0; i < n; i++) {
    a[i] = rand();
  }
  start = clock();

  for(i = 0; i < n; i++) {
    b[i] = a[i];
  }
  diff1 = clock() - start;

  start = clock();
  memcpy(b, a, n);
  diff2 = clock() - start;

  printf("Copy entry for entry: %lu ms, memcpy: %lu ms \n", diff1*1000/CLOCKS_PER_SEC, diff2*1000/CLOCKS_PER_SEC);

  free(a);
  free(b);
  return 0;
}
